tigase.jaxmpp.core.client.xmpp.modules

## Class ClientStateIndicationModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.ClientStateIndicationModule

- All Implemented Interfaces:
    ContextAware, XmppModule

      public class ClientStateIndicationModule
      extends Object
      implements XmppModule, ContextAware

  Created by andrzej on 27.06.2016.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientStateIndicationModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `active()`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `inactive()`
    `boolean` | `isAvailable()`
    `void` | `process(Element element)` Main method of module.
    `void` | `setContext(Context context)`
    `boolean` | `setState(boolean active)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientStateIndicationModule

          public ClientStateIndicationModule()

  - ### Method Detail

    - #### active

          public void active()

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### inactive

          public void inactive()

    - #### isAvailable

          public boolean isAvailable()
                              throws XMLException

      Throws:
        `XMLException`

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException,
                              JaxmppException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

    - #### setState

          public boolean setState(boolean active)

Copyright © 2006–2019 Tigase. All rights reserved.